package com.kingdee.eas.custom.bill.salary;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PayPacketEntryFactory
{
    private PayPacketEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.bill.salary.IPayPacketEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.IPayPacketEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("C7B84004") ,com.kingdee.eas.custom.bill.salary.IPayPacketEntry.class);
    }
    
    public static com.kingdee.eas.custom.bill.salary.IPayPacketEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.IPayPacketEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("C7B84004") ,com.kingdee.eas.custom.bill.salary.IPayPacketEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.bill.salary.IPayPacketEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.IPayPacketEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("C7B84004"));
    }
    public static com.kingdee.eas.custom.bill.salary.IPayPacketEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.IPayPacketEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("C7B84004"));
    }
}